package ${domain}.module.wsvr.req;

import ${domain}.frame.base.BaseFindRequest;

import java.util.Date;

/**
 * SequenceFindRequest - 序列查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-27
 */
public class SequenceFindRequest extends BaseFindRequest {

    /**
     * 序列名称.
     */
    private String seqName;

    /**
     * 年.
     */
    private String year;

    /**
     * 月.
     */
    private String month;

    /**
     * 日.
     */
    private String date;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    public String getSeqName() {
        return this.seqName;
    }

    public void setSeqName(String seqName) {
        this.seqName = seqName;
    }

    public String getYear() {
        return this.year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return this.month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getDate() {
        return this.date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
